Public Products

Public Products

1.3.0-beta.1OAS 3.0

Products and some of its attributes for public consumption.

Note: If you want to access and use product data directly in an HTML or other client-based application, you must use the Public API. It features a reduced set of fields and has enhanced mechanisms to protect against malicious access (rate limiting, etc.).

API Base URL
  • Server 1:https://api.migros.ch

    URL of upstream

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

Additional Information
Contact MGB-UDP-Business-Services (arg_mgb-udp-business-services@mgb.ch)

Public-Products

Search for products

This endpoint allows to list products via a variaty of query parameters. It provides a simplified interface and a simplified response model compared to /migros/products/v8/products suitable for public sonsumption.

Currently this endpoint serves data from the “MAPI v8”.

get
https://api.migros.ch/migros/products/v1/public/products

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 1<= 200

offsetinteger

Result set offset.

Default:0

>= 0

sortstring

The sorting criteria.

Allowed values:scorepricecategoryidnameratingrating_roundedrating_rounded_tenthreviewsupdated_atboss_numberbrand_namepim_status

Default:score

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

rootsstring

When sorting by category the sorting will be done by the children of the categories passed in this parameter. For each product the first category matching from the bottom will be taken. The following two formats are valid for this parameter: ?roots=code1,code2 or ?roots[]=code1&roots[]=code2.

regionstring

Get the price for this region. Output in the ‘price’ field and used for sorting by price. If you specify ‘all’, prices for all regions are additionally output in ‘regional_information’.

Allowed values:nationalgmaagmbsgmgegmlugmnfgmosgmtigmvdgmvsgmzhall

Default:national

discountsstring

Return only products which belong to the specified discounts.

This filter respects the region parameter, so the discount has be in the given region or national.
Note: A discount sometimes applies to many products, you need to do paging in case the limit is hit (see limit parameter).

discount_campaignsstring

Return only products which belong to the specified discount campaign. This will also return the specific discount on the product.

discount_eventsstring

Return only products which belong to the specified discount event. This will also return the specific discount on the product.

storestring

A single store id. If set, the result is limited to products available at that store.

idsstring

A comma separated list or an array of product IDs defining the products and the order in which the products should be returned. If the ids parameter is provided all other filtering parameters are ignored.

boss_number_prefixesstring

A comma separated list of boss_numbers prefixes to filter products for.

viewstring

Return specific set of products. Either ‘all’ (active and inactive/incomplete products), ‘browse’ (active products excluding Alnatura products), or ‘browseallretailers’ (active products including Alnatura products).

Allowed values:allbrowsebrowseallretailers

Default:browse

is_variantboolean

Whether to output products that are variants. If this parameter is omitted, variants and base products are returned.

langstring

Request the response localized to lang.

Allowed values:defriten

Default:de

Response

application/json

Prodcts selected by the given query parameters.

ProductCollection

A list of Products

productsarrayrequired

Represents a product in the API.

Show Child Parameters
total_hitsintegerrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the potentially paginated subset.

get/migros/products/v1/public/products
 
application/json

Badge

object

A badge image and its properties.

hex_colorstring

The hexadecimal color code for this badge.

stackstring

Image URL with a placeholder for a Rokka {stack}.

vectorstring

Vector image.

descriptionstring
signetobject

A badge signet and its properties.

Show Child Parameters
Example

BadgeSignet

object

A badge signet and its properties.

hex_colorstring

The hexadecimal color code for this badge.

stackstring

Image URL with a placeholder for a Rokka {stack}.

vectorstring

Vector image.

Example